#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "bhv_mf_kick.h"

#include "body_kick_to_corner.h"

#include <rcsc/action/body_advance_ball.h>
#include <rcsc/action/body_kick_multi_step.h>
#include <rcsc/action/body_dribble.h>
#include <rcsc/action/body_hold_ball.h>
#include <rcsc/action/body_pass.h>
#include <rcsc/action/neck_scan_field.h>
#include <rcsc/action/neck_turn_to_low_conf_teammate.h>

#include <rcsc/player/player_agent.h>
#include <rcsc/player/debug_client.h>

#include <rcsc/common/logger.h>
#include <rcsc/common/server_param.h>
#include <rcsc/geom/sector_2d.h>

/*-------------------------------------------------------------------*/
/*!

*/
bool
Bhv_MFKick::execute( rcsc::PlayerAgent * agent )
{
    rcsc::dlog.addText( rcsc::Logger::TEAM,
                        "%s:%d: Bhv_MFKick"
                        ,__FILE__, __LINE__ );
    
    //sp[agent->world().self().unum()-6].execute( agent );
    sp.execute( agent );

    return true;
};

void
Bhv_MFKick::init(rcsc::PlayerAgent * agent)
{
	//sp[agent->world().self().unum()-6].learn_init( agent );
	sp.learn_init( agent );
};
