#ifndef BHV_PASS_RECEIVER_MOVE_H_
#define BHV_PASS_RECEIVER_MOVE_H_

#include <rcsc/geom/vector_2d.h>
#include <rcsc/player/soccer_action.h>

#include "pass_receiver.h"


class Bhv_PassReceiverMove
    : public rcsc::SoccerBehavior {
 private:
      const rcsc::Vector2D M_home_pos;

 public:
 Bhv_PassReceiverMove( const rcsc::Vector2D & home_pos )
   : M_home_pos( home_pos )
      { 
      }
      
      bool execute( rcsc::PlayerAgent * agent );
      
      bool init( rcsc::PlayerAgent * agent );
      //パスレシーバークラスが初期化処理を毎サイクル行うのでpublicにinitを作ること
      //中でパスレシーバークラスのinitを行う
      


 private:
      double getDashPower( const rcsc::PlayerAgent * agent,
			   const rcsc::Vector2D & target_point );
};

#endif /* BHV_PASS_RECEIVER_MOVE_H_ */
