// -*-c++-*-

/*
 *Copyright:

 Copyright (C) SIT RoboCup Soccer Project

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifndef BHV_PASS_TO_RECEIVER_H
#define BHV_PASS_TO_RECEIVER_H

#include <rcsc/player/soccer_action.h>
//追加ヘッダ
#include <string>
#include <boost/lexical_cast.hpp>  //messageを受けとるのに必要


class Bhv_PassToReceiver
    : public rcsc::SoccerBehavior {
private:
  class ReceiverMessage
  //レシーバーから受け取ったメッセージを解析し、格納する
  {
  public:
    ReceiverMessage( std::string message, int unum )
    {
      this->unum = unum;
      action = boost::lexical_cast<int>( message.substr(0,2) );
    };
    int unum;
    int action;
    double heuristics;
  };
public:
  
  bool execute( rcsc::PlayerAgent * agent );
};

#endif
